Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.example.com/api/v1/contacts/{contact_id} \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "email": "<string>", "tags": [ "<string>" ], "custom_fields": {}, "is_opted_out": true } '
import requestsurl = "https://api.example.com/api/v1/contacts/{contact_id}"payload = { "name": "<string>", "email": "<string>", "tags": ["<string>"], "custom_fields": {}, "is_opted_out": True}headers = {"Content-Type": "application/json"}response = requests.patch(url, json=payload, headers=headers)print(response.text)
const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({ name: '<string>', email: '<string>', tags: ['<string>'], custom_fields: {}, is_opted_out: true })};fetch('https://api.example.com/api/v1/contacts/{contact_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "phone_number": "<string>", "source": "<string>", "is_opted_out": true, "tags": [ "<string>" ], "created_at": "<string>", "updated_at": "<string>", "name": "<string>", "email": "<string>", "whatsapp_name": "<string>", "profile_picture_url": "<string>", "custom_fields": {}, "source_details": "<string>", "opted_out_at": "<string>", "last_message_at": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Update a contact.
Request to update a contact.
255
Show child attributes
Successful Response
Single contact response.